h1,
.h1 {
    margin-bottom: 32px;
    padding-left: 0;
    color: #1F222B;
    font-variant-numeric: lining-nums tabular-nums;
    font-feature-settings: 'liga' off, 'clig' off;
    font-size: 36px;
    font-weight: 800;
    line-height: 1.33;
    text-align: left;
}
.h1 {
    display: none;
}
main {
    &:has(.page-tab:nth-child(2).active) {
        h1 {
            display: none;
            + .h1 {
                display: block;
            }
        }
    }
    &:has(.page-tab:nth-child(3).active) {
        h1 {
            display: none;
        }
        .h1 + .h1 {
            display: block;
        }
    }
}
.top-bar .bar .btns .cart {
    color: #006DF0;
    &::before {
        color: inherit;
    }
}
.page {
    background: #f8f9f9;
    padding-block: 32px 64px;
}
.promo {
    margin-bottom: 32px;
    .panel {
        display: grid;
        grid-template-columns: auto 1fr auto 1fr auto;
        gap: 20px;
        align-items: center;
        counter-reset: buttons;
        div {
            display: flex;
            flex-direction: column;
            align-items: center;
            gap: 2px;
            text-align: center;
            font-variant-numeric: lining-nums tabular-nums;
            font-feature-settings: 'liga' off, 'clig' off;
            font-size: 14px;
            font-weight: 700;
            line-height: 1.7;
            color: #8b8f92;
            span {
                position: relative;
                width: 60px;
                aspect-ratio: 1;
                flex-shrink: 0;
                border-radius: 50%;
                counter-increment: buttons;
                background-color: #E2E4E4;
                color: #8B8F92;
                &::before {
                    content: counter(buttons);
                    position: absolute;
                    left: 50%;
                    top: 50%;
                    transform: translate(-50%, -50%);
                    font-variant-numeric: lining-nums tabular-nums;
                    font-feature-settings: 'liga' off, 'clig' off;
                    font-weight: 700;
                    line-height: 1.5;
                }
            }
            &.active {
                color: #1f222b;
                span {
                    color: #fff;
                    background-color: #006df0;
                }
            }
            &.done span::before {
                content: '\e022';
                font: 14px / 1 Icon;
            }
        }
        > span {
            width: 100%;
            height: 1px;
            background: #d9d9d9;
            &:has(+ .active) {
                background: #006df0;
            }
        }
    }
}
.empty {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    border-radius: 16px;
    padding: 40px 20px;
    background: #fff;
    h2 {
        font-size: 20px;
        line-height: 30px;
    }
    a {
        height: 60px;
        font-size: 14px;
        border-radius: 12px;
    }
}
.basket {
    .page-tab {
        display: none;
        flex-direction: column;
        gap: 32px;
        &.active {
            display: flex;
        }
        .products {
            display: flex;
            flex-direction: column;
            gap: 10px;
        }
        .goods-snippet {
            grid-template-columns: 92px 1fr auto 72px;
            .price {
                display: flex;
                flex-direction: column;
                padding: 20px;
                width: initial;
                border-radius: 8px;
                background: #f8f9f9;
                p {
                    font-weight: 700;
                }
                .remainder {
                    font-size: 14px;
                    line-height: 24px;
                    color: #027a48;
                }
                .count {
                    display: grid;
                    grid-template-columns: auto 74px auto;
                    margin-top: auto;
                    p {
                        text-align: center;
                    }
                    button {
                        background: #d0e7ff;
                    }
                }
            }
            .delete {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                height: 100%;
                border-radius: 8px;
                background-color: #f8f8f9;
                color: #606469;
                text-align: center;
                font-variant-numeric: lining-nums tabular-nums;
                font-feature-settings: 'liga' off, 'clig' off;
                font-size: 14px;
                line-height: 1.7;
                border: none;
                transition: background-color .3s linear, color .3s linear;
                &::before {
                    content: '\e014';
                    font: 18px / 1 Icon;
                }
            }
        }
        .choose {
            display: flex;
            flex-direction: column;
            gap: 10px;
            padding: 20px;
            border-radius: 16px;
            background: #fff;
        }
        .services {
            display: none;
            flex-direction: column;
            gap: 10px;
            input {
                display: none;
            }
            .title {
                font-size: 16px;
                line-height: 24px;
                color: #353840;
                font-weight: 700;
                b {
                    color: inherit;
                    font-size: inherit;
                    line-height: inherit;
                    font-weight: inherit;
                }
            }
            label {
                position: relative;
                display: flex;
                flex-direction: column;
                gap: 4px;
                padding: 20px;
                border-radius: 16px;
                border: 1px solid#E2E4E4;
                cursor: pointer;
                &::before {
                    content: '';
                    box-sizing: border-box;
                    position: absolute;
                    top: 50%;
                    right: 20px;
                    transform: translateY(-50%);
                    width: 20px;
                    height: 20px;
                    border-radius: 50%;
                    padding: 5px;
                    border: 1px solid #A1A4A7;
                }
                > * {
                    padding-right: 30px;
                }
                &:has(input:checked) {
                    border-color: #4598F9;
                    &::before {
                        border-color: #4598F9;
                        background: linear-gradient(#4598F9) content-box, linear-gradient(#D0E7FF) padding-box;
                    }
                }
                b {
                    margin-bottom: 6px;
                }
            }
        }
        .open-map {
            width: fit-content;
            display: none;
            align-items: center;
            gap: 10px;
            height: 36px;
            margin-top: 16px;
            font-size: 14px;
            font-weight: 500;
            border-radius: 0;
            border: none;
            background: none;
            color: #006DF0;
            &::before {
                content: '\e002';
                font: 16px / 1 Icon;
            }
        }
        &:has(.selector input:checked) :is(.services, .open-map) {
            display: flex;
        }
        .order {
            display: grid;
            grid-template-columns: repeat(2, 1fr);
            gap: 20px;
            padding: 20px;
            border-radius: 16px;
            * {
                font-size: 16px;
                line-height: 24px;
            }
            label {
                display: flex;
                flex-direction: column;
                gap: 4px;
                font-weight: 700;
                input {
                    width: 100%;
                    padding: 10px 11px;
                    border-radius: 16px;
                    border: 1px solid #e2e4e4;
                    line-height: 1;
                    color: #606469;
                    &:-webkit-autofill {
                        box-shadow: inset 0 0 0 50px #fff !important;
                        -webkit-box-shadow: inset 0 0 0 50px #fff !important;
                    }
                }
            }
            > div {
                padding: 20px;
                border-radius: 16px;
                grid-column: 1/-1;
                &.order-info {
                    background: #f8f9f9;
                }
                &.service-info {
                    display: flex;
                    flex-direction: column;
                    gap: 4px;
                    background: #f2f9ff;
                    > *:first-child {
                        margin-bottom: 6px;
                    }
                }
                p {
                    font-weight: 700;
                    span {
                        font-weight: 400;
                        color: #606469;
                    }
                }
                .result {
                    display: flex;
                    gap: 10px;
                    justify-content: space-between;
                    font-size: 20px;
                    line-height: 30px;
                    font-weight: 700;
                }
                ul {
                    display: flex;
                    flex-direction: column;
                    gap: 10px;
                    padding-bottom: 10px;
                    margin-bottom: 10px;
                    border-bottom: 1px solid #d9d9d9;
                    list-style: none;
                    li {
                        display: flex;
                        gap: 10px;
                        span {
                            display: contents;
                        }
                        i {
                            font-style: normal;
                        }
                        b {
                            white-space: nowrap;
                            margin-left: auto;
                            font-weight: 700;
                        }
                    }
                }
            }

        }
        .buttons {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 20px;
            border-radius: 16px;
            background: #fff;
            p {
                color: #1F222B;
                font-variant-numeric: lining-nums tabular-nums;
                font-feature-settings: 'liga' off, 'clig' off;
                font-size: 20px;
                font-weight: 700;
                line-height: 1.5;
                span {
                    font-size: inherit;
                    font-weight: inherit;
                    line-height: inherit;
                    color: #4a4e55;
                }
            }
            button {
                width: fit-content;
                min-height: 60px;
                display: flex;
                align-items: center;
                justify-content: center;
                padding-inline: 40px;
                border-radius: 12px;
                color: #353840;
                text-align: center;
                font-variant-numeric: lining-nums tabular-nums;
                font-feature-settings: 'liga' off, 'clig' off;
                font-size: 14px;
                font-weight: 500;
                line-height: 1;
                background-color: #cccfd0;
                border-color: #cccfd0;
                &.next {
                    color: #fff;
                    background-color: #006df0;
                    &.disabled {
                        pointer-events: none;
                        color: #353840;
                        background-color: #cccfd0;
                    }
                }

            }
        }
    }
}
.selector-box {
    position: relative;
    display: grid;
    grid-template-rows: auto 42px;
    gap: 10px;
    font-size: 16px;
    line-height: 24px;
    font-weight: 700;
    .selector {
        grid-row: 2/3;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        z-index: 4;
        display: grid;
        grid-template-rows: max-content 0fr;
        padding: 10px;
        border-radius: 8px;
        border: 1px solid #E2E4E4;
        background: #FFF;
        cursor: pointer;
        transition: grid-template-rows .3s linear, border-color .3s linear, box-shadow .3s linear;
        .select-btn {
            display: flex;
            gap: 10px;
            justify-content: space-between;
            font-size: 14px;
            line-height: 20px;
            color: #606469;
            border: none;
            background: none;
            transition: 0.2s linear;
            cursor: pointer;
            &::after {
                content: '\e019';
                transform: rotate(90deg);
                font: 14px / 20px Icon;
                transition: transform .3s linear, color 0.3s linear;
            }
        }
        .selected {
            font-size: 14px;
            font-weight: 400;
            line-height: 20px;
            width: 100%;
            display: flex;
            justify-content: space-between;
            &::after {
                content: '\e019';
                transform: rotate(90deg);
                font-family: 'Icon';
                font-size: 14px;
                line-height: 20px;
                transition: transform .3s linear, color 0.3s linear;
            }
        }
        .list {
            width: 100%;
            display: flex;
            flex-direction: column;
            gap: 8px;
            max-height: 350px;
            overflow-y: auto;
            &::-webkit-scrollbar {
                width: 10px;
            }
            &::-webkit-scrollbar-track {
                background: #f8f9f9;
                border-radius: 4px;
            }
            &::-webkit-scrollbar-thumb {
                border: 2px solid #f8f9f9;
                border-radius: 4px;
                background-color: #e2e4e4;
            }
            label {
                position: relative;
                display: flex;
                align-items: center;
                gap: 4px;
                cursor: pointer;
                font-size: 14px;
                line-height: 20px;
                color: #606469;
                transition: color .3s linear;
                &:first-of-type {
                    margin-top: 10px;
                }
                &:last-of-type {
                    margin-bottom: 10px;
                }
                &::before {
                    content: '\e022';
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    width: 20px;
                    height: 20px;
                    flex-shrink: 0;
                    font: 12px / 20px Icon;
                    color: transparent
                }
                input {
                    display: none;
                }
                &:has(input:checked) {
                    color: #006DF0;
                    &::before {
                        color: #006DF0;
                    }
                }
            }
        }
        &.active {
            grid-template-rows: max-content 1fr;
            border-color: #006DF0;
            .select-btn::after {
                transform: rotate(270deg);
                color: #006DF0;
            }
        }
    }
}
.order-done {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 40px;
    border-radius: 16px;
    box-shadow: 0px 6px 13px 0px #718CA81A, 0px 23px 23px 0px #718CA817, 0px 53px 32px 0px #718CA80D, 0px 41px 146px 0px #718CA81A;
    > * {
        max-width: 540px;
    }
    h2 {
        font-size: 20px;
        line-height: 30px;
        + p {
            font-size: 16px;
            line-height: 24px;
            margin-bottom: 20px;
        }
    }
    b {
        font-size: 16px;
        line-height: 1;
        font-weight: 700;
        + p {
            font-size: 14px;
            line-height: 1;
            margin-bottom: 30px;
        }
    }
    .btn-blue {
        height: 60px;
        border-radius: 12px;
        font-size: 14px;
    }
}
.slider1 {
    padding-block: 32px;
    background: #fff;
    h2 {
        margin-bottom: 16px;
        font-size: 24px;
        font-weight: 700;
        line-height: 34px;
        text-align: left;
    }
    .slider {
        position: relative;
        .slider-wrapper {
            width: 100%;
            overflow: hidden;
        }
        .items {
            position: relative;
            display: flex;
            gap: 10px;
            .slide {
                position: relative;
                min-width: 225px;
                max-width: 225px;
                height: 520px;
                display: flex;
                flex-direction: column;
                > span {
                    position: absolute;
                    top: 6px;
                    left: 8px;
                    display: none;
                    padding: 0 10px;
                    font-size: 14px;
                    font-style: normal;
                    font-weight: 500;
                    line-height: 24px;
                    border-radius: 16px;
                }
                span {
                    &.discount {
                        color: #B42318;
                        background: #FEF3F2;
                    }
                    &.order {
                        color: #B54708;
                        background: #FFFAEB;
                    }
                    &.new {
                        color: #027A48;
                        background: #ECFDF3;
                    }

                }
                &.discount span.discount,
                &.order span.order,
                &.new span.new {
                    display: block;
                }
                img {
                    width: 100%;
                    min-height: 185px;
                    max-height: 185px;
                    margin-bottom: 4px;
                }
                h3,
                p {
                    font-size: 16px;
                    font-weight: 400;
                    line-height: 24px;
                }
                h3 {
                    min-height: 130px;
                }
                p {
                    &:first-of-type {
                        margin-bottom: 4px;
                    }
                    &.price {
                        font-size: 20px;
                        font-weight: 700;
                        line-height: 30px;
                        color: #1F222B;
                    }
                    &.count {
                        font-size: 14px;
                        font-weight: 400;
                        line-height: 24px;
                        color: #027A48;
                    }
                    &.order {
                        color: #B54708;
                        display: none;
                    }
                }
                &.discount p.price {
                    color: #D92D20;
                }
                &.order p {
                    &.price {
                        color: #DC6803;
                    }
                    &.count {
                        display: none;
                    }
                    &.order {
                        display: block;
                    }
                }
                div.count {
                    margin-block: 16px;
                }
                > button {
                    margin-block: auto 16px;
                    &.disabled {
                        pointer-events: none;
                        opacity: .6;
                    }
                }
                &:has(> button.disabled) .count button {
                    pointer-events: none;
                    opacity: .6;
                }
            }
        }
        .options {
            --left: 20px;
            position: absolute;
            display: flex;
            justify-content: space-between;
            top: calc(50% - 20px);
            width: calc(100% + 2 * var(--left));
            margin-left: calc(0px - var(--left));
            .arrow-l,
            .arrow-r {
                position: relative;
                display: flex;
                justify-content: center;
                align-items: center;
                width: 40px;
                height: 40px;
                z-index: 1;
                border-radius: 8px;
                border: 1px solid #A1A4A7;
                background: #FFF;
                cursor: pointer;
                &::before {
                    content: "\e018";
                    font: 16px / 1 Icon;
                    color: #4A4e55;
                }
                &.none {
                    display: none;
                }
            }
            .arrow-l::before {
                transform: rotate(180deg);
            }
        }
    }
}
.map-background,
.del-background {
    position: fixed;
    inset: 0;
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 99;
    background: rgba(74, 78, 85, 0.8);
    &.active {
        display: flex;
    }
    .body {
        position: relative;
        width: calc(100% - 20px);
        max-width: 580px;
        padding: 32px;
        border-radius: 8px;
        background: #fff;
        h2 {
            position: relative;
            margin-bottom: 8px;
            font-size: 18px;
            font-weight: 700;
            line-height: 28px;
            text-align: left;
            color: #1F222B;
        }
        .close {
            position: absolute;
            right: -5px;
            top: -5px;
            cursor: pointer;
            &::before {
                content: '\e004';
                display: block;
                font: 14px / 1 Icon;
                color: #606469;
            }
        }
        p {
            margin-bottom: 45px;
            font-size: 16px;
            font-weight: 400;
            line-height: 24px;
            color: #353840;
        }
        .delete {
            display: flex;
            width: fit-content;
            padding: 8px 16px;
            border-radius: 20px;
            cursor: pointer;
            color: #FFF;
            background: #006DF0;
        }
    }
}
.map-background {
    .body {
        max-width: 970px;
        height: min(552px, 80dvh);
        padding: 64px;
        border-radius: 8px;
        .close {
            right: 20px;
            top: 20px;
        }
    }
}
#map1 {
    height: 100%;
    .ymaps-2-1-79-balloon__layout {
        background: #006df0;
        border-radius: 10px;
        .ymaps-2-1-79-balloon__content {
            background: #006df0;
        }
    }
    .ymaps-2-1-79-balloon__tail:after {
        background: #006df0;
    }
    .ymaps-2-1-79-balloon__close-button {
        display: flex;
        align-items: center;
        justify-content: center;
        background: none;
        opacity: 1;
        &::before {
            content: '\e004';
            font: 14px / 1 Icon;
            color: #fff;
        }
    }
    .map-btn {
        padding: 5px 10px;
        color: #fff;
    }
}
@media screen and (max-width: 1020px) {
    body:has(main.guest) .top-bar {
        z-index: 6;
        box-shadow: 0px 0px 4px -2px rgba(31, 34, 43, 0.059), 0px -1px 8px -2px rgba(31, 34, 43, 0.102);
    }
    .basket .page-tab .buttons {
        position: fixed;
        left: 0;
        bottom: 70px;
        width: 100%;
        background: #fff;
        z-index: 5;
        padding: 10px;
        border-radius: 16px 16px 0 0;
        button {
            min-height: 36px;
            padding-inline: 20px;
            font-size: 14px;
            &.prev {
                background: none;
                padding-left: 0;
                color: #006df0;
            }
        }
        p {
            font-size: 16px;
            line-height: 20px;
        }
    }
}
@media screen and (max-width: 768px) {
    h1,
    .h1 {
        margin-bottom: 24px;
        font-size: 24px;
        font-weight: 800;
        line-height: 34px
    }
    .page {
        padding-block: 24px;
    }
    .promo {
        margin-bottom: 24px;
        .panel {
            gap: 10px;
            div {
                font-size: 12px;
                font-weight: 700;
                line-height: 16px;
                span {
                    width: 40px;
                    &::before {
                        font-size: 12px;
                    }
                }
            }
        }
    }
    .basket .page-tab {
        .goods-snippet {
            border: 1px solid #e2e4e4;
            .price {
                padding: 0;
                background: none;
                .count {
                    max-width: 200px;
                }
            }
            .delete {
                flex-direction: row;
                gap: 8px;
                margin: 8px 0 0 auto;
                padding: 5px 15px;
            }
        }
        .order {
            grid-template-columns: 1fr;
        }
    }
    .map-background {
        .body {
            height: min(900px, 80dvh);
            padding: 54px 10px;
            .close {
                right: 20px;
                top: 20px;
            }
        }
    }
}
@media screen and (max-width: 578px) {
    .slider1 .slider .options {
        --left: 10px;
    }
}
@media (hover: hover) {
    .basket .page-tab {
        .buttons {
            .prev:hover {
                color: #fff;
                background-color: #006DF0;
            }
        }
        .open-map:hover {
            color: #353840;
        }
        .goods-snippet .delete:hover {
            color: #fff;
            background-color: #d92d20;
        }
    }
    .selector-box .selector:hover {
        border-color: #006df0;
        &:not(.active) {
            box-shadow: 0 0 0 1px #006df0;
        }
        .list label:hover {
            color: #006df0;
        }
    }
}
@media (hover: none) and (pointer: coarse) {
    body:has(.top-bar) {
        .call-me-now {
            bottom: 260px;
        }
        .up {
            bottom: 200px;
        }
        .__jivoMobileButton {
            bottom: 110px !important;
        }
    }
}